#include<conio.h>
#include<stdio.h>
#include<math.h>
#include<iostream.h>
float x1,x2,y1,y2,m,b,d,a,an;

void main()
{


cout<<"este programa  halla la pendiente,la ecuacion de la linia recta que las une\n";
cout<<"y la distancia entre dos coordenadas rectangulares de dos puntos (x1,y1)y(x2,y2)\n";


cout<<"\n\ndigite la coordenada x1:";
 cin>>x1;


 cout<<"\n\ndigite la coordenada y1:";
 cin>>y1;


 cout<<"\n\ndigite la coordenada x2:";
 cin>>x2;


 cout<<"\n\ndigite la coordenada y2:";
 cin>>y2;

 m=((y2-y1)/(x2-x1));
 printf("el valor de la pendiente (m) es:%f\n\n",m);

 d=sqrt(((x2-x1)*(x2-x1))+((y2-y1)*(y2-y1)));
 printf("la distancia entre los puntos es de :%f\n\n",d);
 a=atan(m);
 an=(a*180)/3.1415  ;
 printf("el angulo es de:%f\n\n",an);


 b=(y1-(m*x1));
 printf("la ecuacion de la linea recta que los une es y=m*x+b dode m es la pendiente y b es el punto de corte\n\n");
 printf("el valor del punto de corte (b) es :%f\n\n",b);
 if(b>0)

   printf("y= %fx+ %f\n\n", m, b);

       else
	  printf("y=%fx %f\n\n",m,b);

}